## ayatana-settings 24.8.27

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-settings VERSION 24.8.27 LANGUAGES C)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option (ENABLE_WERROR "Treat all build warnings as errors" OFF)

set(CMAKE_BUILD_TYPE "Release")

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Prerequisites

include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (DEPS REQUIRED gtk4>=4.14 gmodule-export-2.0)

# Build

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

# Info

message (STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
# ayatana-settings.8

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.8" DESTINATION "${CMAKE_INSTALL_FULL_MANDIR}/man8")

# ayatana-settings.desktop

find_package (Intltool REQUIRED)
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop.intl" @ONLY)
intltool_merge_translations ("${CMAKE_PROJECT_NAME}.desktop.intl" "${CMAKE_PROJECT_NAME}.desktop" ALL UTF8)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/applications")

# icons/ContrastHigh/scalable/apps/ayatana-settings.svg
# icons/hicolor/scalable/apps/ayatana-settings.svg

install (DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}")

# ayatana-settings-gresource.c

find_program (GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)

add_custom_command (
    OUTPUT "${CMAKE_PROJECT_NAME}-gresource.c"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMAND "${GLIB_COMPILE_RESOURCES}"
    ARGS --target "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}-gresource.c" --generate-source "${CMAKE_PROJECT_NAME}.xml"
    VERBATIM
    MAIN_DEPENDENCY "${CMAKE_PROJECT_NAME}.xml"
    DEPENDS "${CMAKE_PROJECT_NAME}.ui"
)

add_custom_target ("data" DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}-gresource.c")

=== po/CMakeLists.txt ===
find_package (Intltool REQUIRED)
intltool_install_translations (ALL GETTEXT_PACKAGE "${CMAKE_PROJECT_NAME}")

=== src/CMakeLists.txt ===
# ayatana-settings

set_source_files_properties ("${CMAKE_BINARY_DIR}/data/${CMAKE_PROJECT_NAME}-gresource.c" PROPERTIES GENERATED TRUE)
add_executable ("ayatana-settings" "main.c" "${CMAKE_BINARY_DIR}/data/${CMAKE_PROJECT_NAME}-gresource.c")
add_dependencies ("ayatana-settings" "data")
target_compile_definitions ("ayatana-settings" PUBLIC G_LOG_DOMAIN="${CMAKE_PROJECT_NAME}" LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}" GETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}")
target_link_libraries ("ayatana-settings" ${DEPS_LIBRARIES})
target_include_directories ("ayatana-settings" PUBLIC ${DEPS_INCLUDE_DIRS})
install (TARGETS "ayatana-settings" RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

## ayatana-settings 21.1.28

=== debian/changelog ===
ayatana-settings (21.1.28-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.
  * debian/ayatana-settings.{1 -> 8}:
    + Fix file suffix of man page (wrong section).
  * debian/{manpages,ayatana-settings.1}:
    + Drop file, shipped by upstream now.
  * debian/patches:
    + Add 1001_fix-man-page-section.patch. Move man page to section 8.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 17:09:20 +0100

ayatana-settings (20.11.09.2-2) unstable; urgency=medium

  * Source-only upload as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Nov 2020 22:29:57 +0100

ayatana-settings (20.11.09.2-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #974000).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Nov 2020 14:07:46 +0100

=== debian/control ===
Source: ayatana-settings
Section: admin
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Robert Tari <robert@tari.in>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3 (>= 3.6),
               python3-setuptools,
               python3-polib,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-settings
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-settings.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-settings/
X-Python3-Version: >= 3.6

Package: ayatana-settings
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi,
         gir1.2-gtk-3.0,
         python3-psutil,
Description: Ayatana Indicators Settings
 Ayatana Indicators are available on desktop environments that provide a
 renderer for system indicators (such as MATE, Xfce, Lomiri, etc.).
 .
 Ayatana Settings allows you to configure all your Ayatana Syystem
 Indicators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=ayatana-settings

%:
		dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean clean	
	rm -Rfv data/locale
	rm -fv data/applications/ayatana-settings.desktop
	rm -fv ayatana_settings.egg-info/PKG-INFO
	rm -fv ayatana_settings.egg-info/SOURCES.txt
	rm -fv ayatana_settings.egg-info/dependency_links.txt
	rm -fv ayatana_settings.egg-info/requires.txt
	rm -fv ayatana_settings.egg-info/top_level.txt

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-settings 21.1.28-0+git20220715.111+11.nightly.1

=== debian/changelog ===
ayatana-settings (21.1.28-0+git20220715.111+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    72cd74554fc4159c99f8ce7fc7e5defb98aeb3c5).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 15 Jul 2022 22:25:26 +0200

ayatana-settings (21.1.28-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-settings.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 16:49:27 +0100

ayatana-settings (20.11.09.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-settings.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 09 Nov 2020 13:44:18 +0100

ayatana-settings (20.11.09.1) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-settings.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 09 Nov 2020 12:44:22 +0100

ayatana-settings (20.10.14) unstable; urgency=medium

  * Initial release

 -- Robert Tari <robert@tari.in>  Mon, 14 Oct 2020 21:43:35 +0200

=== debian/control ===
Source: ayatana-settings
Section: nightly/admin
Priority: optional
Maintainer: Robert Tari <robert@tari.in>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 10), dh-python, python3 (>= 3.6), python3-setuptools, python3-polib
Standards-Version: 4.5.0
Homepage: https://github.com/AyatanaIndicators/ayatana-settings
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-settings
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-settings
X-Python3-Version: >= 3.6

Package: ayatana-settings
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, gir1.2-gtk-3.0, python3-psutil
Description: Ayatana Indicators Settings
 Ayatana Settings allows you to configure all your Ayatana system
 indicators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
		dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -Rfv data/locale/*
	rm -fv data/applications/ayatana-settings.desktop
	rm -fv ayatana_settings.egg-info/PKG-INFO
	rm -fv ayatana_settings.egg-info/SOURCES.txt
	rm -fv ayatana_settings.egg-info/dependency_links.txt
	rm -fv ayatana_settings.egg-info/requires.txt
	rm -fv ayatana_settings.egg-info/top_level.txt

=== debian/watch ===
version=3
https://github.com/AyatanaIndicators/ayatana-settings/archive/([0-9.]+)\.tar\.gz

## ayatana-settings 21.1.28-0+git20220715.111+12.nightly.1

=== debian/changelog ===
ayatana-settings (21.1.28-0+git20220715.111+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    72cd74554fc4159c99f8ce7fc7e5defb98aeb3c5).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 15 Jul 2022 22:25:26 +0200

## ayatana-settings 23.11.14

=== debian/changelog ===
ayatana-settings (23.11.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 18:44:43 +0100

ayatana-settings (23.10.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use NEWS file as upstream ChangeLog.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Drop 1001_fix-man-page-section.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 09:54:41 +0100

=== debian/control ===
Source: ayatana-settings
Section: admin
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Robert Tari <robert@tari.in>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3 (>= 3.6),
               python3-setuptools,
               python3-polib,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-settings
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-settings.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-settings/
X-Python3-Version: >= 3.6

Package: ayatana-settings
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi,
         gir1.2-gtk-3.0,
         python3-psutil,
Description: Ayatana Indicators Settings
 Ayatana Indicators are available on desktop environments that provide a
 renderer for system indicators (such as MATE, Xfce, Lomiri, etc.).
 .
 Ayatana Settings allows you to configure all your Ayatana Syystem
 Indicators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=ayatana-settings

%:
		dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean clean	
	rm -Rfv data/locale
	rm -fv data/applications/ayatana-settings.desktop
	rm -fv ayatana_settings.egg-info/PKG-INFO
	rm -fv ayatana_settings.egg-info/SOURCES.txt
	rm -fv ayatana_settings.egg-info/dependency_links.txt
	rm -fv ayatana_settings.egg-info/requires.txt
	rm -fv ayatana_settings.egg-info/top_level.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-settings 24.8.27

=== debian/changelog ===
ayatana-settings (24.8.27-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 13:45:18 +0100

=== debian/control ===
Source: ayatana-settings
Section: admin
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Robert Tari <robert@tari.in>,
Build-Depends: cmake,
               cmake-extras,
               intltool,
               debhelper-compat (= 13),
               libglib2.0-dev,
               libgtk-4-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-settings
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-settings.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-settings/

Package: ayatana-settings
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Ayatana Indicators Settings
 Ayatana Indicators are available on desktop environments that provide a
 renderer for system indicators (such as MATE, Xfce, Lomiri, etc.).
 .
 Ayatana Settings allows you to configure all your Ayatana Syystem
 Indicators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
		dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-settings/ayatana-settings-(.+)\.tar\.gz
